Commit a3f43e12 authored by Alexis Williams's avatar Alexis Williams
Browse files

Bump base and make changelog entry

parent 98582ef7
...@@ -172,7 +172,7 @@ flag old-directory ...@@ -172,7 +172,7 @@ flag old-directory
library library
build-depends: build-depends:
array >= 0.4 && < 0.6, array >= 0.4 && < 0.6,
base >= 4.5 && < 5, base >= 4.6 && < 5,
bytestring >= 0.9.2.1 && < 0.11, bytestring >= 0.9.2.1 && < 0.11,
containers >= 0.4.2.1 && < 0.7, containers >= 0.4.2.1 && < 0.7,
deepseq >= 1.3 && < 1.5, deepseq >= 1.3 && < 1.5,
......
# 2.4.0.0 (current development version) # 2.4.0.0 (current development version)
* Drop support for GHC 7.4, since it is out of our support window
(and has been for over a year!)
* Deprecate `preSDist`, `sDistHook`, and `postSDist` in service of * Deprecate `preSDist`, `sDistHook`, and `postSDist` in service of
`new-sdist`, since they violate key invariants of the new-build `new-sdist`, since they violate key invariants of the new-build
ecosystem. Use `autogen-modules` and `build-tool-depends` instead. ecosystem. Use `autogen-modules` and `build-tool-depends` instead.
......
...@@ -294,7 +294,7 @@ library ...@@ -294,7 +294,7 @@ library
build-depends: build-depends:
async >= 2.0 && < 3, async >= 2.0 && < 3,
array >= 0.4 && < 0.6, array >= 0.4 && < 0.6,
base >= 4.5 && < 5, base >= 4.6 && < 5,
base16-bytestring >= 0.1.1 && < 0.2, base16-bytestring >= 0.1.1 && < 0.2,
binary >= 0.7 && < 0.9, binary >= 0.7 && < 0.9,
bytestring >= 0.10.2 && < 1, bytestring >= 0.10.2 && < 1,
......
-*-change-log-*- -*-change-log-*-
2.4.0.0 (current development version) 2.4.0.0 (current development version)
* Drop support for GHC 7.4, since it is out of our support window
(and has been for over a year!)
* 'new-update' now works outside of projects. (#5096) * 'new-update' now works outside of projects. (#5096)
* Add 'new-sdist' command (#5389). Creates stable archives based on * Add 'new-sdist' command (#5389). Creates stable archives based on
cabal projects in '.zip' and '.tar.gz' formats. cabal projects in '.zip' and '.tar.gz' formats.
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment